com.tibco.tibems.ufo

## Class TibjmsUFOQueueConnectionFactory

- java.lang.Object
- - TibjmsUFOxCF
  - - com.tibco.tibems.ufo.TibjmsUFOConnectionFactory
    - - com.tibco.tibems.ufo.TibjmsUFOQueueConnectionFactory

- All Implemented Interfaces:
    java.io.Externalizable, java.io.Serializable, ConnectionFactory, QueueConnectionFactory

      public class TibjmsUFOQueueConnectionFactory
      extends TibjmsUFOConnectionFactory
      implements QueueConnectionFactory, java.io.Externalizable

  UFO Implementation of javax.jms.QueueConnectionFactory.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TibjmsUFOQueueConnectionFactory()`
    `TibjmsUFOQueueConnectionFactory(java.lang.String serverUrls)`
    `TibjmsUFOQueueConnectionFactory(java.lang.String serverUrls, java.lang.String clientId)`
    `TibjmsUFOQueueConnectionFactory(java.lang.String serverUrls, java.lang.String clientId, java.util.Map properties)`
    `TibjmsUFOQueueConnectionFactory(TibjmsQueueConnectionFactory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `QueueConnection` | `createQueueConnection()` Creates a queue connection with the default user identity.
    `QueueConnection` | `createQueueConnection(java.lang.String userName, java.lang.String password)` Creates a queue connection with the specified user identity.
    `void` | `readExternal(java.io.ObjectInput in)`
    `void` | `writeExternal(java.io.ObjectOutput out)`

    - ### Methods inherited from class com.tibco.tibems.ufo.TibjmsUFOConnectionFactory

      `createConnection, createConnection, createContext, createContext, createContext, createContext, getSSLProxyHost, getSSLProxyPassword, getSSLProxyPort, getSSLProxyUser, recoverConnection, setBlockingOnRecovery, setClientID, setConnAttemptCount, setConnAttemptDelay, setConnAttemptTimeout, setMetric, setMulticastDaemon, setMulticastEnabled, setReconnAttemptCount, setReconnAttemptDelay, setReconnAttemptTimeout, setServerUrl, setSSLAuthOnly, setSSLCipherSuites, setSSLDebugTrace, setSSLEnableVerifyHost, setSSLEnableVerifyHostName, setSSLExpectedHostName, setSSLIdentity, setSSLIdentity, setSSLIdentityEncoding, setSSLIssuerCertificate, setSSLIssuerCertificate, setSSLIssuerCertificate, setSSLPassword, setSSLPrivateKey, setSSLPrivateKey, setSSLPrivateKeyEncoding, setSSLProxy, setSSLProxyAuth, setSSLTrace, setSSLTrustedCertificate, setSSLTrustedCertificate, setSSLTrustedCertificate, setSSLVendor, setUserName, setUserPassword`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.ConnectionFactory

      `createConnection, createConnection, createContext, createContext, createContext, createContext`

- - ### Constructor Detail

    - #### TibjmsUFOQueueConnectionFactory

          public TibjmsUFOQueueConnectionFactory()

    - #### TibjmsUFOQueueConnectionFactory

          public TibjmsUFOQueueConnectionFactory(java.lang.String serverUrls)

    - #### TibjmsUFOQueueConnectionFactory

          public TibjmsUFOQueueConnectionFactory(java.lang.String serverUrls,
                                                 java.lang.String clientId)

    - #### TibjmsUFOQueueConnectionFactory

          public TibjmsUFOQueueConnectionFactory(java.lang.String serverUrls,
                                                 java.lang.String clientId,
                                                 java.util.Map properties)

    - #### TibjmsUFOQueueConnectionFactory

          public TibjmsUFOQueueConnectionFactory(TibjmsQueueConnectionFactory factory)
                                          throws JMSException

      Throws:
        `JMSException`

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `TibjmsUFOConnectionFactory`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### createQueueConnection

          public QueueConnection createQueueConnection()
                                                throws JMSException

      Description copied from interface: `QueueConnectionFactory`
      Creates a queue connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called. .
      Specified by:
        `createQueueConnection` in interface `QueueConnectionFactory`
      Returns:
        a newly created queue connection
      Throws:
        `JMSException` - if the JMS provider fails to create the queue connection due to some internal error.
        `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

    - #### createQueueConnection

          public QueueConnection createQueueConnection(java.lang.String userName,
                                                       java.lang.String password)
                                                throws JMSException

      Description copied from interface: `QueueConnectionFactory`
      Creates a queue connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.
      Specified by:
        `createQueueConnection` in interface `QueueConnectionFactory`
      Parameters:
        `userName` - the caller's user name
        `password` - the caller's password
      Returns:
        a newly created queue connection
      Throws:
        `JMSException` - if the JMS provider fails to create the queue connection due to some internal error.
        `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

    - #### writeExternal

          public void writeExternal(java.io.ObjectOutput out)
                             throws java.io.IOException

      Specified by:
        `writeExternal` in interface `java.io.Externalizable`
      Overrides:
        `writeExternal` in class `TibjmsUFOConnectionFactory`
      Throws:
        `java.io.IOException`

    - #### readExternal

          public void readExternal(java.io.ObjectInput in)
                            throws java.io.IOException,
                                   java.lang.ClassNotFoundException

      Specified by:
        `readExternal` in interface `java.io.Externalizable`
      Overrides:
        `readExternal` in class `TibjmsUFOConnectionFactory`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

Copyright © Cloud Software Group, Inc. All rights reserved